<?

	// usuwanie zaladowanej fotki
	if(isset($_POST['usun']) && $_POST['usun']=="tak"){
	  	if(isset($_POST['usun_foto'])){
			$file = KATALOG_ZDJEC.$_POST['usun_foto'];
			$file_min = KATALOG_ZDJEC."min/200_200_".$_POST['usun_foto'];
			if(file_exists($file)){
				unlink($file);
				unlink($file_min);
			}		
			$zdjecie = $_POST['zdjecie'];
			$x = 0; $jest = false;
			while($x!=$max_ile_zdjec){
				if($zdjecie[$x]==$_POST['usun_foto'] and !$jest){
					$zdjecie[$x] = null; 
					unset($zdjecie[$x]);
					$jest = true;
				}
				$x++;
			}	
			$komunikat = "Zdjęcie zostało usunięte pomyślnie";	
		}
		if(!isset($_POST['usun_foto'])){
			$komunikat = "Zaznacz zdjęcie które chcesz usunąć.";
	  	}
	}

			

	// ladowanie fotki
	if(isset($_POST['upload']) && isset($_POST['usun']) && $_POST['usun']=="nie"){
		if($_FILES['imagefile']['size']<=(2*2048000)){
      	if($_FILES['imagefile']['type'] == "image/pjpeg" or $_FILES['imagefile']['type'] == "image/jpeg"){



      	   // pobranie listy plikow starszych niz 2 godziny
				/*
      	   $lista=array();

            $katalog = opendir(KATALOG_ZDJEC);

            while ($plik = strtolower(readdir($katalog))) { 

              if (($plik<>".")&&($plik<>"min")&&($plik<>"..")&&($plik<>"index.php")&&($plik<>"brak.jpg")) { 

                  if((time() - (60*60*2))>filemtime(KATALOG_ZDJEC.$plik)){$lista[] = $plik;}

              } 

            } 

            closedir($katalog);

            sort($lista);
				*/
						

				// jesli X pliku nie ma w bazie to usun
				/*
            for ($i=0;$i<count($lista);$i++) {
					$ile1 = mysql_num_rows(mysql_query ("SELECT id FROM ".$db_pref."produkty WHERE zdjecie LIKE '%".$lista[$i]."%';"));
            	if($ile1==0){
	               $file = KATALOG_ZDJEC.$lista[$i];
	               if(file_exists($file)){ unlink($file); } 								
      			}
            }						
				*/
			 

				// losowanie nowej nazwy dla pliku
				function nowa_nazwa($len){ 
					$rstr = ''; 
					for($i=0;$i<$len;$i++){ 
						$p = rand(0,1); 
						switch($p){
							case(0): $rstr .= chr(rand(ord('0'),ord('9')));break; 
							case(1): $rstr .= chr(rand(ord('a'),ord('z')));break; 
						}
					} 
					return $rstr; 
				} 

				$jest = false;
				while(!$jest){
					$nowa_nazwa_fotki = nowa_nazwa(20).".jpg";
					$file = KATALOG_ZDJEC.$nowa_nazwa_fotki;
					if(!file_exists($file)){	
						$jest=true;
					}	
				}	

					

          	copy ($_FILES['imagefile']['tmp_name'], KATALOG_ZDJEC.$nowa_nazwa_fotki) or $komunikat = "Blad podczas kopiowania"; 

          	if($komunikat==""){

  					$rozmiar_KB = sprintf("%01.2f",$_FILES['imagefile']['size']/1024);
  				   $komunikat = "Zdjęcie zostało załadowane pomyślnie. Rozmiar: ".$_FILES['imagefile']['size']." bajtów (".$rozmiar_KB." kB)";
  					$zdjecie = $_POST['zdjecie'];

  					$x=0;$jest=false;
  					while($x!=$max_ile_zdjec){
  						if($zdjecie[$x]==null and !$jest){$zdjecie[$x]=$nowa_nazwa_fotki; $jest=true;}
  						$x++;
  					}					

  				} 

         }else {
         	$komunikat = "Zdjęcie nie zostało załadowane. Błędny typ pliku ".$_FILES['imagefile']['name'].", typ: ".$_FILES['imagefile']['type'];
      	} 
		
		}else{
			$komunikat = "Zdjęcie nie zostało załadowane. Błędny rozmiar pliku ".$_FILES['imagefile']['name'].", rozmiar: ".sprintf("%01.2f",$_FILES['imagefile']['size']/1024)." KB";
		}

	}

			

	$mod_out .= '
		<input type="hidden" value="" name="usun">
		<input type="hidden" value="" name="usun_foto">
	';

	
	
	$x = 0;
	while($x<$max_ile_zdjec){
		if($zdjecie[$x]!=null){
			$mod_out .= '
				<div style="float:left;padding:2px;">
					<span style="position:absolute;padding:5px">
						<a href="javascript:document.formGaleria.usun.value = \'tak\'; document.formGaleria.usun_foto.value = \''.$zdjecie[$x].'\'; document.formGaleria.submit();"><img src="../../images/ico/cms_ico_u.gif"></a>
					</span>
					<img src="'.$adres_serwisu.'min_200_200_'.$zdjecie[$x].'" style="border: 1px solid #000000">
				</div>
			';
		}
		$x++;
	}

	

	if(count($zdjecie)<$max_ile_zdjec){
		if($pokaz_opis != '0'){
			$opis = "Plik ze zdjęciem: ";
		}
		$mod_out .= '
		   <div style="width:100%;padding:2px"><br style="clear: both">
				'.$opis.'<input type="hidden" name="upload" value="1"><input onchange="javascript:document.formGaleria.usun.value = \'nie\'; document.formGaleria.submit();" type="file" name="imagefile">
			   <br><small>(maksymalny rozmiar <strong>1</strong> zdjęcia to <strong>4Mb</strong>, tylko pliki typu <strong>.JPG</strong>)</small>
			</div>
		';
	}

	

	$x=0;
	while($x<$max_ile_zdjec){
		if($zdjecie[$x]!=null){$mod_out .= '<input type="hidden" name="zdjecie[]" value="'.$zdjecie[$x].'">';}
		$x++;
	}

?>